=== debian/changelog ===
ros-indigo-pluginlib (1.10.7-0trusty) trusty; urgency=high

  * Provide a script to convert include statements to use new headers (#108 <https://github.com/ros/pluginlib/issues/108>)
  * Provide alternative headers for multi distro support (#106 <https://github.com/ros/pluginlib/issues/106>)
  * Contributors: Mikael Arguedas, William Woodall

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 16 Mar 2018 07:00:00 -0000

ros-indigo-pluginlib (1.10.6-0trusty) trusty; urgency=high

  * do not use popen to solve catkin_path. (#49 <https://github.com/ros/pluginlib/issues/49>)
  * switch to package format 2 (#55 <https://github.com/ros/pluginlib/issues/55>)
  * Merge pull request #54 <https://github.com/ros/pluginlib/issues/54> from ros/trailing_whitespaces
    trailing whitespaces
  * Contributors: Dmitry Rozhkov, Koji Terada, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 18 Dec 2017 08:00:00 -0000

ros-indigo-pluginlib (1.10.5-0trusty) trusty; urgency=high

  * Merge pull request #47 <https://github.com/ros/pluginlib/issues/47> from ros/fix_conversion
    fix size_t to int conversion
  * fix int conversion
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 27 Mar 2017 07:00:00 -0000

ros-indigo-pluginlib (1.10.4-0trusty) trusty; urgency=high

  * Merge pull request #42 <https://github.com/ros/pluginlib/issues/42> from delftrobotics-forks/unique-ptr
    Add std::unique_ptr API
  * Add unit test for unique_ptr API.
  * Simplify unit tests with ASSERT_THROW.
  * Add ClassLoader::createUniqueInstance.
  * Wrap long comment on createInstance and friend.
  * Throw exception if plugin.xml is broken (#41 <https://github.com/ros/pluginlib/issues/41>)
    * added test case for broken xml files with missing attributes of class tag
    * added checks if all needed attributes of the class tag are existing
    * removed comment and empty line
  * Contributors: Maarten de Vries, Mikael Arguedas, cwecht

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-indigo-pluginlib (1.10.3-0trusty) trusty; urgency=high

  * Merge pull request #40 <https://github.com/ros/pluginlib/issues/40> from ros/fix_warnings
    fix deprecated warnings in unit tests
  * fix deprecated warnings in unit tests
  * removed merge messages and redundant commits
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-indigo-pluginlib (1.10.2-0trusty) trusty; urgency=high

  * Remove Boost Software License from license tag #35 <https://github.com/ros/pluginlib/issues/35>
  * Throw an exception if ClassLoader can't be instantiated due to an invalid package name #34 <https://github.com/ros/pluginlib/issues/34>
  * Add ":" to split function within getName. #33 <https://github.com/ros/pluginlib/issues/33>
  * Contributors: Esteve Fernandez, Jochen Sprickerhof, Mikael Arguedas, Mike O'Driscoll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 14 Mar 2016 07:00:00 -0000

ros-indigo-pluginlib (1.10.1-0trusty) trusty; urgency=high

  * Remove GTEST_FOUND from CMakeLists.txt
  * Check that GTest is installed before running tests.
  * Moved plugin_macro_update script to scripts directory. Made plugin_macro_update rosrunnable and removed it from global PATH #29 <https://github.com/ros/pluginlib/issues/29>
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-indigo-pluginlib (1.10.0-0trusty) trusty; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 08 May 2014 21:56:00 -0000

ros-indigo-pluginlib (1.9.25-0trusty) trusty; urgency=high

  * Use cmake_modules to find TinyXML #26 <https://github.com/ros/pluginlib/issues/26>
  * Check for release libraries in debug builds #25 <https://github.com/ros/pluginlib/issues/25>
  * update refreshDeclaredClasses to force recrawl (fix #23 <https://github.com/ros/pluginlib/issues/23>)
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 09 May 2014 03:37:00 -0000

ros-indigo-pluginlib (1.9.24-0trusty) trusty; urgency=high

  * Remove invalid exception when no plugins are found #22 <https://github.com/ros/pluginlib/issues/22>
  * Update maintainer field
  * Contributors: Dirk Thomas, Esteve Fernandez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 11 Mar 2014 07:00:00 -0000

ros-indigo-pluginlib (1.9.23-0trusty) trusty; urgency=high

  * expose plugin paths in ClassLoader #21 <https://github.com/ros/pluginlib/issues/21>
  * Contributors: Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 04 Oct 2013 07:00:00 -0000

ros-indigo-pluginlib (1.9.22-0trusty) trusty; urgency=high

  * Fixed use of __FILE__ macro in deprecation warning
  * Added libdl to plugin_tool link args...temporary fix
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-indigo-pluginlib (1.9.21-0trusty) trusty; urgency=high

  * Added file hint for deprecated warnings. #16 <https://github.com/ros/pluginlib/issues/16>
  * check for CATKIN_ENABLE_TESTING
  * remove mainpage.dox
  * Contributors: Dane Powell, Dirk Thomas, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 14 Jul 2013 07:00:00 -0000

ros-indigo-pluginlib (1.9.20-0trusty) trusty; urgency=high

  * Added another unit test for managed instance case.
  * Fixed a regression that broke unload call. Added a unit test for this case.
  * Contributors: Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 18 Apr 2013 07:00:00 -0000

ros-indigo-pluginlib (1.9.19-0trusty) trusty; urgency=high

  * Converted ROS_DEBUG and ROS_WARN calls to ROS_DEBUG_NAMED and ROS_WARN_NAMED calls #13 <https://github.com/ros/pluginlib/issues/13>
  * Contributors: Dave Coleman, Mirza Shah

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 23 Mar 2013 07:00:00 -0000


