=== debian/control ===
Source: ros-indigo-pluginlib
Section: misc
Priority: extra
Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libtinyxml-dev, ros-indigo-catkin (>= 0.5.68), ros-indigo-class-loader, ros-indigo-cmake-modules, ros-indigo-rosconsole, ros-indigo-roslib (>= 1.11.1)
Homepage: http://www.ros.org/wiki/pluginlib
Standards-Version: 3.9.2

Package: ros-indigo-pluginlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libtinyxml-dev, ros-indigo-class-loader, ros-indigo-rosconsole, ros-indigo-roslib (>= 1.11.1)
Description: The pluginlib package provides tools for writing and dynamically loading plugins using the ROS build infrastructure.
 To work, these tools require plugin providers to register their plugins in the package.xml of their package.
